#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libatomic_ops-7.6.10

- Next

  libbytesize-2.5

- Up
- Home

# libblockdev-2.25

## Introduction to libblockdev

libblockdev is a C library supporting GObject Introspection for manipulation of block devices. It has a plugin-based architecture where each technology (like LVM, Btrfs, MD RAID, Swap,...) is implemented in a separate plugin, possibly with multiple implementations (e.g. using LVM CLI or the new LVM DBus API).

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/storaged-project/libblockdev/releases/download/2.25-1/libblockdev-2.25.tar.gz

- Download MD5 sum: 3873d4c97d82121ce86dab745b1862fc

- Download size: 912 KB

- Estimated disk space required: 14 MB

- Estimated build time: 0.2 SBU

### libblockdev Dependencies

#### Required

gobject-introspection-1.66.1, libbytesize-2.5, libyaml-0.2.4, parted-3.4, and volume_key-0.3.12

#### Optional

btrfs-progs-5.10.1, GTK-Doc-1.33.2, mdadm-4.1, dmraid, bcachefs, and ndctl

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libblockdev

## Installation of libblockdev

Install libblockdev by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --with-python3    \
                --without-gtk-doc \
                --without-nvdimm  \
                --without-dm      &&
    make

This package does not come with a working test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: lvm-cache-stats
Installed Libraries: libbd_btrfs.so, libbd_crypto.so, libbd_fs.so, libbd_kbd.so, libbd_loop.so, libbd_lvm.so, libbd_lvm-dbus.so, libbd_mdraid.so, libbd_mpath.so, libbd_part.so, libbd_part_err.so, libbd_swap.so, libbd_utils.so, libbd_vdo.so, and libblockdev.so
Installed Directories: /etc/libblockdev, /usr/include/blockdev, and /usr/share/gtk-doc/html/libblockdev

### Short Descriptions

lvm-cache-stats | prints statistics on caches on LVM Logical Volumes

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  libatomic_ops-7.6.10

- Next

  libbytesize-2.5

- Up
- Home